gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Group widgets so they request the same size.

A SizeGroup provides a mechanism for grouping a number of widgets together so they all request the same amount of space. This is typically useful when you want a column of widgets to have the same size, but you can't use a widget. Its use is effectively demonstrated by the Human Interface Guidelines of the Gnome project.

In detail, the size requested for each widget in a SizeGroup is the maximum of the sizes that would have been requested for each widget in the SizeGroup without a SizeGroup. The of the size group determines whether this applies to the horizontal size, the vertical size, or both sizes.

Note that SizeGroups only affect the amount of space requested, not the size that the widgets finally receive. If you want the widgets in a SizeGroup to actually be the same size, you need to pack them in such a way that they get the size they request and not more. For example, if you are packing your widgets into a table, you would not include the Fill flag.

SizeGroup objects are referenced by each widget in the size group, so once you have added all widgets to a SizeGroup, you can drop the initial reference to the SizeGroup by calling . If the widgets in the SizeGroup are subsequently destroyed, then they will be removed from the SizeGroup and drop their references on the SizeGroup; when all widgets have been removed, the size group will be freed.

Widgets can be part of multiple size groups; GTK will compute the horizontal size of a widget from the horizontal requisition of all widgets that can be reached from the widget by a chain of size groups of type or . Likewise, the vertical size is computed from the vertical requisition of all widgets that can be reached from the widget by a chain of size groups of type or .

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  The mode to indicate direction(s) that should have their sizes tied together.
  Create a new SizeGroup.

  The direction that size is tied can be altered later using the property.

- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Void `` A Widget whose size should be tied to widgets in a group. Places a widget in this SizeGroup
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("ignore-hidden")
  System.Boolean Indicates if hidden widgets are ignored when calculating size. if hidden widgets are to be ignored.
- Property
  2.12.0.0
  GLib.Property("mode")
  Gtk.SizeGroupMode Sets a mode to determine which direction this SizeGroup controls. The current 'mode' that indicates the direction this SizeGroup ties together.

  The mode of the size group determines whether the widgets in the SizeGroup should all have the same or requisition, or should all have the same requisition in directions.

- Method
  2.12.0.0
  System.Void `` A Widget whose size should no longer be tied to the widgets in this group. Removes a widget from this SizeGroup
- Property
  2.12.0.0
  Gtk.Widget[] The Widgets associated with the group. an array of widgets.